Subject: Re: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Michael Heerdegen <[email-masked]>
Date: Sun, 27 Aug 2023 06:02:03 +0200

Gerd Möllmann <[email-masked]> writes:

> Maybe you could give it a spin?  I don't think I will.

I did now.  I can take control using &interpose using [] as its spec so
that nothing is consumed when the specified function is called.  But
then it gets very complicated.

This approach would only work if we catch the 'no-match tag thrown by
`edebug-no-match', and also catch the 'invalid-read-syntax' signal,
(there are several different types of failure involved, this makes it
much more troublesome).

This can all be done, but it breaks the control flow of the Edebug
parser.  The Edebug 'cursor' (current parsing position AFAIU - there can
be multiple cursors in use) is implicit, so I don't know and can't
control where to continue in the 'no-match case.  I gave up at this
point because it was obvious that we will not want to do this.

Michael.